# PHTML::Element Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::Element:

List of all members.

## Public Member Functions

virtual | ~Element ()

## Protected Types

| NoCRLF
| OpenCRLF
| CloseCRLF
| BothCRLF
enum | OptionalCRLF { NoCRLF, OpenCRLF, CloseCRLF, BothCRLF }

## Protected Member Functions

| Element (const char *nam, const char *att, ElementInSet elmt, ElementInSet req, OptionalCRLF opt)
virtual void | Output (PHTML &html) const
virtual void | AddAttr (PHTML &html) const

## Friends

ostream & | operator<< (ostream &strm, const Element &elmt)

## Member Enumeration Documentation

enum PHTML::Element::OptionalCRLF `[protected]`

Enumerator:

  NoCRLF |
  OpenCRLF |
  CloseCRLF |
  BothCRLF |

## Constructor & Destructor Documentation

virtual PHTML::Element::~Element | ( |  | ) | `[inline, virtual]`

PHTML::Element::Element | ( | const char * | nam,
|  | const char * | att,
|  | ElementInSet | elmt,
|  | ElementInSet | req,
|  | OptionalCRLF | opt |
| ) |  |  | `[inline, protected]`

## Member Function Documentation

virtual void PHTML::Element::AddAttr | ( | PHTML & | html | ) | const`[protected, virtual]`

Reimplemented in PHTML::Heading, PHTML::PreFormat, PHTML::HotLink, PHTML::Target, PHTML::ImageElement, PHTML::Image, PHTML::SetTab, PHTML::Tab, PHTML::SimpleList, PHTML::OrderedList, PHTML::ListItem, PHTML::TableStart, PHTML::Form, PHTML::FieldElement, PHTML::Select, PHTML::Option, PHTML::FormField, PHTML::TextArea, PHTML::InputField, PHTML::HiddenField, PHTML::InputText, PHTML::RadioButton, PHTML::InputNumber, PHTML::InputFile, PHTML::InputImage, and PHTML::ResetButton.

virtual void PHTML::Element::Output | ( | PHTML & | html | ) | const`[protected, virtual]`

Reimplemented in PHTML::Head, PHTML::Body, PHTML::Title, PHTML::DefinitionTerm, PHTML::DefinitionItem, PHTML::TableStart, and PHTML::TableEnd.

## Friends And Related Function Documentation

ostream& operator<< | ( | ostream & | strm,
|  | const Element & | elmt |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- html.h